# Add-RASURLRedirectionEntry

### NAME

Add-RASURLRedirectionEntry\ <br>

### SYNOPSIS

Adds a URL redirection entry.\ <br>

### SYNTAX

Add-RASURLRedirectionEntry -[URL](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Add-RASURLRedirectionEntry.html#URL) *\<string>* \[-[Action](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Add-RASURLRedirectionEntry.html#Action) {DoNotRedirect | Redirect}] \[-[Enabled](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Add-RASURLRedirectionEntry.html#Enabled) *\<bool>*] \[-[SiteId](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Add-RASURLRedirectionEntry.html#SiteId) *\<uint>*] \[*<*[*CommonParameters*](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Add-RASURLRedirectionEntry.html#CommonParameters)*>*]\ <br>

### DESCRIPTION

Adds a URL redirection to the URL redirection settings list for the current site.\ <br>

### PARAMETERS

\
-**Enabled \<bool>**\
Whether the URL redirection will be enabled or disabled.\ <br>

```
        Required?                    false
```

```
        Position?                    named
```

```
        Default value                True
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**URL \<string>**\
The URL to redirect or not.\ <br>

```
        Required?                    true
```

```
        Position?                    named
```

```
        Default value                
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**Action <**[**RedirectActionType**](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/RedirectActionType.html)**>**\
The redirect action type.\
\
Possible values: DoNotRedirect, Redirect\ <br>

```
        Required?                    false
```

```
        Position?                    named
```

```
        Default value                DoNotRedirect
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**SiteId \<uint>**\
Site ID in which to modify the specified URL redirection settings.\ <br>

```
        Required?                    false
```

```
        Position?                    named
```

```
        Default value                0
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
\<CommonParameters>

```
        This cmdlet supports the common parameters: Verbose, Debug,
```

```
        ErrorAction, ErrorVariable, WarningAction, WarningVariable,
```

```
        OutBuffer, PipelineVariable, and OutVariable. For more information, see 
```

```
        about_CommonParameters . 
```

<br>

### INPUTS

-none-

### OUTPUTS

-none-

### EXAMPLES

\
\&#xNAN;**---------- EXAMPLE 1 ----------**\
\
Add-RASURLRedirectionEntry -URL test.com\
\
Adds a URL redirection for test.com to the URL redirection settings list for the current site.\ <br>

### RELATED LINKS

* [Get-RASURLRedirectionSettings](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Get-RASURLRedirectionSettings.html)
* [Set-RASURLRedirectionSettings](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Set-RASURLRedirectionSettings.html)
* [Remove-RASURLRedirectionEntry](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Remove-RASURLRedirectionEntry.html)
* [Set-RASURLRedirectionEntry](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Set-RASURLRedirectionEntry.html)
* [Get-RASURLRedirectionEntry](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Get-RASURLRedirectionEntry.html)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v19/parallels-ras-powershell-admin-module/commands/add-rasurlredirectionentry.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
